#SDM Software GPAA 3.0 Windows Feature Installer Script for Windows Server 2012-R2
#This script is meant to be run on the server where the GPAA web application is installed
#Date: 5/1/2020, version 1.0
#
# Note that if a feature is already installed, it will not be reinstalled
#
#

Add-WindowsFeature Web-Server
Add-WindowsFeature Web-WebServer
Add-WindowsFeature Web-Common-Http
Add-WindowsFeature Web-Default-Doc
Add-WindowsFeature Web-Dir-Browsing
Add-WindowsFeature Web-Http-Errors
Add-WindowsFeature Web-Static-Content
Add-WindowsFeature Web-Http-Redirect
Add-WindowsFeature Web-Http-Logging
Add-WindowsFeature Web-Request-Monitor
Add-WindowsFeature Web-Stat-Compression
Add-WindowsFeature Web-Security
Add-WindowsFeature Web-Filtering
Add-WindowsFeature Web-Windows-Auth
Add-WindowsFeature Web-App-Dev
Add-WindowsFeature Web-Net-Ext45
Add-WindowsFeature Web-Asp-Net45
Add-WindowsFeature Web-ISAPI-Ext
Add-WindowsFeature Web-ISAPI-Filter
Add-WindowsFeature Web-Mgmt-Tools
Add-WindowsFeature Web-Mgmt-Console
Add-WindowsFeature Application-Server
Add-WindowsFeature AS-NET-Framework
Add-WindowsFeature AS-Web-Support
Add-WindowsFeature GPMC
Add-WindowsFeature NET-Framework-45-Features
Add-WindowsFeature NET-Framework-45-Core
Add-WindowsFeature NET-Framework-45-ASPNET




# SIG # Begin signature block
# MIIL7AYJKoZIhvcNAQcCoIIL3TCCC9kCAQExCzAJBgUrDgMCGgUAMGkGCisGAQQB
# gjcCAQSgWzBZMDQGCisGAQQBgjcCAR4wJgIDAQAABBAfzDtgWUsITrck0sYpfvNR
# AgEAAgEAAgEAAgEAAgEAMCEwCQYFKw4DAhoFAAQUowUgOk/KHlYmGzaEdIRDxHcF
# gGOggglVMIIEmTCCA4GgAwIBAgIQcaC3NpXdsa/COyuaGO5UyzANBgkqhkiG9w0B
# AQsFADCBqTELMAkGA1UEBhMCVVMxFTATBgNVBAoTDHRoYXd0ZSwgSW5jLjEoMCYG
# A1UECxMfQ2VydGlmaWNhdGlvbiBTZXJ2aWNlcyBEaXZpc2lvbjE4MDYGA1UECxMv
# KGMpIDIwMDYgdGhhd3RlLCBJbmMuIC0gRm9yIGF1dGhvcml6ZWQgdXNlIG9ubHkx
# HzAdBgNVBAMTFnRoYXd0ZSBQcmltYXJ5IFJvb3QgQ0EwHhcNMTMxMjEwMDAwMDAw
# WhcNMjMxMjA5MjM1OTU5WjBMMQswCQYDVQQGEwJVUzEVMBMGA1UEChMMdGhhd3Rl
# LCBJbmMuMSYwJAYDVQQDEx10aGF3dGUgU0hBMjU2IENvZGUgU2lnbmluZyBDQTCC
# ASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAJtVAkwXBenQZsP8KK3TwP7v
# 4Ol+1B72qhuRRv31Fu2YB1P6uocbfZ4fASerudJnyrcQJVP0476bkLjtI1xC72Ql
# WOWIIhq+9ceu9b6KsRERkxoiqXRpwXS2aIengzD5ZPGx4zg+9NbB/BL+c1cXNVeK
# 3VCNA/hmzcp2gxPI1w5xHeRjyboX+NG55IjSLCjIISANQbcL4i/CgOaIe1Nsw0Rj
# gX9oR4wrKs9b9IxJYbpphf1rAHgFJmkTMIA4TvFaVcnFUNaqOIlHQ1z+TXOlScWT
# af53lpqv84wOV7oz2Q7GQtMDd8S7Oa2R+fP3llw6ZKbtJ1fB6EDzU/K+KTT+X/kC
# AwEAAaOCARcwggETMC8GCCsGAQUFBwEBBCMwITAfBggrBgEFBQcwAYYTaHR0cDov
# L3QyLnN5bWNiLmNvbTASBgNVHRMBAf8ECDAGAQH/AgEAMDIGA1UdHwQrMCkwJ6Al
# oCOGIWh0dHA6Ly90MS5zeW1jYi5jb20vVGhhd3RlUENBLmNybDAdBgNVHSUEFjAU
# BggrBgEFBQcDAgYIKwYBBQUHAwMwDgYDVR0PAQH/BAQDAgEGMCkGA1UdEQQiMCCk
# HjAcMRowGAYDVQQDExFTeW1hbnRlY1BLSS0xLTU2ODAdBgNVHQ4EFgQUV4abVLi+
# pimK5PbC4hMYiYXN3LcwHwYDVR0jBBgwFoAUe1tFz6/Oy3r9MZIaarbzRutXSFAw
# DQYJKoZIhvcNAQELBQADggEBACQ79degNhPHQ/7wCYdo0ZgxbhLkPx4flntrTB6H
# novFbKOxDHtQktWBnLGPLCm37vmRBbmOQfEs9tBZLZjgueqAAUdAlbg9nQO9ebs1
# tq2cTCf2Z0UQycW8h05Ve9KHu93cMO/G1GzMmTVtHOBg081ojylZS4mWCEbJjvx1
# T8XcCcxOJ4tEzQe8rATgtTOlh5/03XMMkeoSgW/jdfAetZNsRBfVPpfJvQcsVncf
# hd1G6L/eLIGUo/flt6fBN591ylV3TV42KcqF2EVBcld1wHlb+jQQBm1kIEK3Osgf
# HUZkAl/GR77wxDooVNr2Hk+aohlDpG9J+PxeQiAohItHIG4wggS0MIIDnKADAgEC
# AhA1gMUgFAPkyEx4e4mScoolMA0GCSqGSIb3DQEBCwUAMEwxCzAJBgNVBAYTAlVT
# MRUwEwYDVQQKEwx0aGF3dGUsIEluYy4xJjAkBgNVBAMTHXRoYXd0ZSBTSEEyNTYg
# Q29kZSBTaWduaW5nIENBMB4XDTE5MTIxNzAwMDAwMFoXDTIxMTIxNTIzNTk1OVow
# cjELMAkGA1UEBhMCVVMxEzARBgNVBAgMCkNhbGlmb3JuaWExFDASBgNVBAcMC1Nh
# biBBbnNlbG1vMRswGQYDVQQKDBJTRE0gU29mdHdhcmUsIEluYy4xGzAZBgNVBAMM
# ElNETSBTb2Z0d2FyZSwgSW5jLjCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoC
# ggEBAMVHr7hzA4jv3jkHiybLABaeQ5BetOpLi5eraFLQUkkgi9F0DReK7DTQRONq
# 9SQb4UMfFD3Co8/j8QorkyiF0IVLjDQ760v/PyuEXaToTgP9e0f6JVzFITSKUjsc
# cz43xqppZvVqOB7p7Xldgc0iIvEHI3r4a2y0Hr9ooSnvMw5QJ1wD42G/3huho6f9
# ynPHwNuLiIYt6Act03lOYA0kKWVpJVULICyfLI/0Idr74PSjjL+zIxSHqQse//Yf
# TK2/VMZ0EQDaNVt9RCT5dz5JujNbugaXyCl6VaaqlaH1uY0+7otrCTeHiD5KcA32
# 8KL7H0zdBQCYXwbwml1wxPTEl4ECAwEAAaOCAWowggFmMAkGA1UdEwQCMAAwHwYD
# VR0jBBgwFoAUV4abVLi+pimK5PbC4hMYiYXN3LcwHQYDVR0OBBYEFGH88KVcg7n5
# FvrR1cWk+ZEbi17GMCsGA1UdHwQkMCIwIKAeoByGGmh0dHA6Ly90bC5zeW1jYi5j
# b20vdGwuY3JsMA4GA1UdDwEB/wQEAwIHgDATBgNVHSUEDDAKBggrBgEFBQcDAzBu
# BgNVHSAEZzBlMGMGBmeBDAEEATBZMCYGCCsGAQUFBwIBFhpodHRwczovL3d3dy50
# aGF3dGUuY29tL2NwczAvBggrBgEFBQcCAjAjDCFodHRwczovL3d3dy50aGF3dGUu
# Y29tL3JlcG9zaXRvcnkwVwYIKwYBBQUHAQEESzBJMB8GCCsGAQUFBzABhhNodHRw
# Oi8vdGwuc3ltY2QuY29tMCYGCCsGAQUFBzAChhpodHRwOi8vdGwuc3ltY2IuY29t
# L3RsLmNydDANBgkqhkiG9w0BAQsFAAOCAQEABjY0ODWoUEaaaq58IgHniVkS2BEy
# XormIR5FqHIFNdWZ+9LIVbeCV26I9ZlnSIQdZ//Cv+GMMbbf79fuIZw2ltoqFnnp
# m/cuxs7rp5yx998ZOytup9sIwMuStyPKUrxpp496QQGj2BhH2D1/wVCNTwsJrMK7
# 4Wp+2pkArUYAFBpYIb/ZuR5ikAYBejXe2FZdtsm5M/mIDLYyImctry1ipVvugT0W
# ycKgnNn/OPLu343A5obmyu0aPIbTE8hZDdf8jCp3rUeldoXIjaBE5QxXOu+hvQuA
# Xd0XgrzXc8GnfhwVBLpkbN389DHhcKQtsqFBATmLIrLuY6A5q05dIY/hKjGCAgEw
# ggH9AgEBMGAwTDELMAkGA1UEBhMCVVMxFTATBgNVBAoTDHRoYXd0ZSwgSW5jLjEm
# MCQGA1UEAxMddGhhd3RlIFNIQTI1NiBDb2RlIFNpZ25pbmcgQ0ECEDWAxSAUA+TI
# THh7iZJyiiUwCQYFKw4DAhoFAKB4MBgGCisGAQQBgjcCAQwxCjAIoAKAAKECgAAw
# GQYJKoZIhvcNAQkDMQwGCisGAQQBgjcCAQQwHAYKKwYBBAGCNwIBCzEOMAwGCisG
# AQQBgjcCARUwIwYJKoZIhvcNAQkEMRYEFJ3UtmwIgtA1rUilU1ymGA1eSD3qMA0G
# CSqGSIb3DQEBAQUABIIBAMTE3taX4EP7A7E548uI4uDqS7y4AIITUGg1ht2pOcvw
# 1pB3i1bH5nmgOANW1/FlISucNc/KoXRQv5K8wbYptJGl2H42LNZTkMX+8OiXz3Oi
# WC+7d7Lx/NV8tIlW7akIEjb87Rorqbbjx0qEDvx1vTseWYGd6FGFc0pJwQVvLVFo
# e/FUNHBWxo1/NLI9h2FOETsWU6K9BBVC0lRS3TUJ9CNPprpbzu4FiQClVgx1DNnH
# pjXgSOhXjzvUvoVvqRIbhQrkKo/09FxMex+GxBWtXHS9zbX9lnJtYCLfnaExWcVg
# SRu827nkXorGAOo9DGc73T1vPsnXTvDvjjwYBWdgMvg=
# SIG # End signature block
